org.firebirdsql.gds.impl

## Class DbAttachInfo

- java.lang.Object
- - org.firebirdsql.gds.impl.DbAttachInfo

    public class DbAttachInfo
    extends java.lang.Object

Container for attachment information (ie server, port and filename/alias).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getFileName()`
`int` `getPort()`
`java.lang.String` `getServer()`
`static DbAttachInfo` `parseConnectString(java.lang.String connectString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getServer

    public java.lang.String getServer()

#### getPort

    public int getPort()

#### getFileName

    public java.lang.String getFileName()

#### parseConnectString

    public static DbAttachInfo parseConnectString(java.lang.String connectString)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`